import pytest
import kheops as app


def capital_case(x):
    return x.capitalize()


def test_capital_case():
    assert capital_case('semaphore') == 'Semaphore'

def test_raises_exception_on_non_string_arguments():
    with pytest.raises(TypeError):
        capital_case(9)



import kheops.utils as utils
from pprint import pprint


p1 = ""

def test_hier_

    path_assemble_hier(path, sep="/", reverse=False, start_index=0)


